package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GgRPaymentReportFacadeFactory
{
    private GgRPaymentReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("630BC4A0") ,com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("630BC4A0") ,com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("630BC4A0"));
    }
    public static com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgRPaymentReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("630BC4A0"));
    }
}